<ng-container *ngIf="recentSearches$ | async as recentSearches; else elseBlock">
  <ng-container *ngIf="recentSearches && recentSearches.length; else noRecentSearches">
    <h3 class="title">Recent Searches</h3>
    <mat-card>
      <div class="searches-container">
        <table mat-table [dataSource]="recentSearches" class="mat-elevation-z8 sparse" perfectScrollbar>
          <ng-container [matColumnDef]="displayedColumns[0]">
            <th mat-header-cell *matHeaderCellDef>Well Number</th>
            <td mat-cell *matCellDef="let element">{{ element[displayedColumns[0]] }}</td>
          </ng-container>
          <ng-container [matColumnDef]="displayedColumns[1]">
            <th mat-header-cell *matHeaderCellDef>UWI</th>
            <td mat-cell *matCellDef="let element">{{ element[displayedColumns[1]] }}</td>
          </ng-container>

          <ng-container [matColumnDef]="displayedColumns[2]">
            <th class="labs__cell" mat-header-cell *matHeaderCellDef>Labs</th>
            <td class="labs__cell" mat-cell *matCellDef="let element">
              <ng-container *ngIf="element[displayedColumns[2]]">
                {{ element[displayedColumns[2]].join(', ') }}
              </ng-container>
            </td>
          </ng-container>
          <ng-container [matColumnDef]="displayedColumns[3]">
            <th class="total-samples__cell" mat-header-cell *matHeaderCellDef>Total Samples</th>
            <td class="total-samples__cell" mat-cell *matCellDef="let element">
              {{ element[displayedColumns[3]] }}
            </td>
          </ng-container>
          <ng-container [matColumnDef]="displayedColumns[4]">
            <th mat-header-cell *matHeaderCellDef>Date</th>
            <td mat-cell *matCellDef="let element">{{ element[displayedColumns[4]] | date: 'medium' }}</td>
          </ng-container>
          <ng-container [matColumnDef]="displayedColumns[5]">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element">
              <a
                class="details-link"
                routerLink="/litho-tracker/search"
                [queryParams]="{ wellNumber: element['wellNumber'], UWI: element['uwi'] }"
              >
                Details
              </a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
        </table>

        <gng-spinner class="spinner" *ngIf="loading"></gng-spinner>
        <a *ngIf="showMoreBtn$ | async" class="show-more__link" (click)="showMore()">
          Show more
        </a>
      </div>
    </mat-card>
  </ng-container>
  <ng-template #noRecentSearches>
    <h3 class="title">No Recent Searches</h3>
  </ng-template>
</ng-container>
<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
